# Nested to Dot Notation Object

Convert (2) levels nested object into dot notation object

## Installation

```bash
npm i object-nested-to-dot
```

## Usage

```bash
import {toDotNotation} from 'object-nested-to-dot';

console.log(toDotNotation({
    "a": "TEST-A",
    "b": "TEST-B",
    "c": {
        "childA": "TEST CA",
        "childB": "TEST CB"
    },
    "d": {
        "childA": "TEST DA",
        "childB": {
            "grandChildA": "TEST DBA"
        }
    }
}))

output: {
    "a": "TEST-A",
    "b": "TEST-B",
    "c.childA": "TEST CA",
    "c.childB": "TEST CB",
    "d.childA": "TEST DA",
    "d.childB": {
        "grandChildA": "TEST DBA"
    }
}
```

## Disclaimer

This package only convert (2) levels nested object.